#include <stdio.h>
#include <string.h>
#include <rpc/rpc.h>
#include <sched.h>
#include "strpar.h"

#define MAX_LETTERS 128

/* vzdalena procedura pro vypocet vysledku */
STR_PARAM *get_str_param_1_svc(char **request, struct svc_req *b)
{
	static STR_PARAM result;
  char *word = *request;
  char *letters = (char *) malloc(MAX_LETTERS);
  int i;
  
  for (i = 0; i < MAX_LETTERS; i++) {
    letters[i] = '\0';
  }
  
  printf("prijato slovo: %s\n", word);

  result.len = strlen(word);
  result.vowels = 0;
  result.consonants = 0;
    
  for (i = 0; i < result.len; i++) {
    if (strchr(letters, word[i]) == NULL) {
      letters[strlen(letters)] = word[i];
    }
    
    switch (word[i]) {
      case 'a':
      case 'e':
      case 'i':
      case 'o':
      case 'u':
      case 'y':
      case 'A':
      case 'E':
      case 'I':
      case 'O':
      case 'U':
      case 'Y':
        result.vowels++;
        break;
        
      default:
        result.consonants++;
    }
  }
  
  result.lcount = strlen(letters);

  free((void *) letters);
  
	return &result;
}
